//+------------------------------------------------------------------+
//|                                             TickLogger-v0.15.mq4 |
//|                                     Copyright  2005 x3m 4x Team |
//|                                                          http:// |
//+------------------------------------------------------------------+
#property copyright 	"Copyright  2005 x3m 4x Team"
#property link			"http://"

#define EA_NAME			"TickLogger"
#define EA_VERSION		"0.15"

#include <stdlib.mqh>

int Error, File;

void PrintError()
{
	Error = GetLastError();
	Print("ERROR(", Error, "): ", ErrorDescription(Error));
}

int init()
{
	Error = 0;

	string fileName = Symbol() + "-" + TimeToStr(LocalTime(), TIME_DATE) + " " + TimeHour(LocalTime()) + "-" + TimeMinute(LocalTime()) + ".csv";
	File = FileOpen(fileName, FILE_CSV|FILE_WRITE, ',');
	if (File < 1) {
		PrintError();
		return (Error);
	}
	
	if (FileWrite(File, Symbol(), "DATETIME", "BID", "ASK", "OPEN", "CLOSE", "HIGH", "LOW") < 0) {
		PrintError();
		return (Error);
	}
	
		
	return(0);
}

int deinit()
{
	FileClose(File);
	return(0);
}

int start()
{
	if (Error > 0)
		return (Error);		//stop on error

	if (FileWrite(File, TimeToStr(CurTime(), TIME_DATE|TIME_SECONDS), CurTime(), Bid, Ask, iOpen(NULL, PERIOD_M15, 0), iClose(NULL, PERIOD_M15, 0), iHigh(NULL, PERIOD_M15, 0), iLow(NULL, PERIOD_M15, 0)) < 0) {
		PrintError();
		return (Error);
		
			
	}
	FileFlush(File);
	
	return(0);
}

